Skip to main content

18) Document Security Level Inquiry

Check Document Security Level

API

MethodURL
POST/api/get/customProperties/securityLevel

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.
srcFilePathrequiredstringDocument path to query

Response

NameTypeDescription
codeint0 : Success
Other values: Error
scLabelIdstringLabel ID (data that needs to be entered when editing document security levels)
scLabelNamestringLabel Name
scSecurityLevelIdstringClassification grade ID (a higher concept of label)
scSecurityLevelNamestringGrade Name
messagestringError message on failure

Examples

Request

  • Body
{
"licenseKey": "EFBB-029BD-F155-7F13E",
"srcFilePath": "/opt/shieldrm/data/test.xlsx"
}

Response

  • success
{
"code": 0,
"scLabelId": "yoGSZ4pU-hLreQwr6-bk2Bl9aL-DvQ6sfKw",
"scLabelName": "Classified",
"scSecurityLevelId": "GgcoNPBJ-iN4WXGCm-s3YN6moy-4an7Nzx7",
"scSecurityLevelName": "C"
}

[scLabelId 설정되지 않음]
{
"code": 0,
"message": "The scLabelId setting is not configured."
}
  • failure
  • Status code : 401 Unauthorized
[라이선스 검증 실패]
{
"code": 40101,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}